%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Problem: min_Y mu*ro*||Y||_*+ 1/2 * ||Y-(X-mu*(Lambda-F))||_F^2 
% Input:   matries X,F,Lambda \in \R^{n^2*n^2}, scalers mu, ro, n
% Output:  matrix Y
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function Y=UpdateY(X,F,Lambda,mu,ro)

Z=X-mu*(Lambda-F);
Z = (Z+Z')/2;

[U,D,V] = svd(Z);

d = real(diag(D));

v=max((d-mu*ro), 0);
Y=U*diag(v)*V';


